(*
	EnhYuk.mod
		introduces the resummed MB into the Yukawa couplings
		this file is part of FeynHiggs
		last modified 11 Jul 09 th
*)


ResumCoup[ c_ == rhs_ ] :=
  c == (rhs /. Mass[F[4, {g_, ___}]] -> Mdy[g]) /; FreeQ[c, S[4|6]]

ResumCoup[ other_ ] = other


M$CouplingMatrices = ResumCoup/@ M$CouplingMatrices

